Bug 223583 - Spec File Requires
Spec File Requires
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnomesword (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-20 00:14 EST by Aaron Schlaegel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-28 18:59:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Schlaegel 2007-01-20 00:14:13 EST
I can't build the source RPM without installing 'clucene-core-devel', so I think
it should be added as a build requires. If it is added as a build requires,
should the 'clucene-core' package be added as an installation requirement?

Also, build requires 'gnome-spell' and 'icu', which aren't set as installation
requirements. Is this correct? I know that on my Fedora install, I had neither
of these two packages installed.
Comment 1 Deji Akingunola 2007-01-20 00:30:40 EST
Thanks for the bug report. Indeed, clucene-core-devel should have been a
dependency of sword-devel, which gnomesword obviously have a buildrequires for.
And you're right about gnome-spell and icu, I'm not aware of any runtime
dependency of gnomesword on them (will double-check).
I'll fix the clucene-core-devel in the sword library as soon as I can.
Comment 2 David Anderson 2007-01-20 10:58:04 EST
Deji,

I've tried to build the new i18n-ised bibletime in FC5 + 6, but it's failed. 
Mock says that sword-devel (which is a BR for bibletime) requires icu-devel 
and that icu-devel isn't found. Is this related to this bug?

David
Comment 3 David Anderson 2007-01-20 11:08:36 EST
Here's some of the buildlog for context (from the fedora buildsys):

Executing /usr/sbin/mock-helper 
yum --installroot /var/lib/mock/fedora-5-x86_64-core-8469edd2deae8073b19c3ea4b6242fccfb7fd149/root 
install  'sword-devel >= 
1.5.9' 'desktop-file-utils' 'kdelibs-devel' 'clucene-core-devel >= 
0.9.16a' 'gettext'
Error: Missing Dependency: icu-devel is needed by package sword-devel
Comment 4 Deji Akingunola 2007-01-20 11:09:42 EST
(In reply to comment #2)
> Deji,
> 
> I've tried to build the new i18n-ised bibletime in FC5 + 6, but it's failed. 
> Mock says that sword-devel (which is a BR for bibletime) requires icu-devel 
> and that icu-devel isn't found. Is this related to this bug?
> 
> David
Mea culpa, I'm very sorry. I've corrected the error now, you can wait for
~10mins and then try to re-build bibletime.
Comment 5 Deji Akingunola 2007-01-28 18:59:41 EST
(In reply to comment #0)
> I can't build the source RPM without installing 'clucene-core-devel', so I think
> it should be added as a build requires. If it is added as a build requires,
> should the 'clucene-core' package be added as an installation requirement?
>
Fixed already
 
> Also, build requires 'gnome-spell' and 'icu', which aren't set as installation
> requirements. Is this correct? I know that on my Fedora install, I had neither
> of these two packages installed.
As of version 2.2.1 gnomesword build doesn't check for gnome-spell anymore, and
I can't find any difference in the build log between having gnome-spell required
and having it not, so I guess it's not required for build anymore (I believe
there's no hard runtime dependence on it either). 
icu is also not needed. Both fixed in cvs. 

Note You need to log in before you can comment on or make changes to this bug.